package com.fdkankan.platform.user.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.goods.entity.CameraDetail;
import com.fdkankan.platform.user.entity.UserIncrement;
import com.fdkankan.platform.user.request.RequestUserIncrement;
import com.fdkankan.platform.user.vo.ResponseUserIncrement;

import java.util.List;

/**
 * <p>
 * 用户增值权益表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IUserIncrementService extends IService<UserIncrement> {

    Integer getCountByUserId(Long userId, int status);

    Integer getCountBindByUserId(Long userId);

    UserIncrement getByCameraId(Long cameraId);

    List<UserIncrement> getByChildName(String childName);

    String unbindCamera(Long userId, Long id, boolean unbind, CameraDetail cameraDetail, UserIncrement userIncrement);

    String unbindCamera(RequestUserIncrement param, String token);

    String bindCamera(RequestUserIncrement param, String token);

    Page<ResponseUserIncrement> findIncrementList(RequestUserIncrement param, String token);

    ResponseUserIncrement findById(RequestUserIncrement param, String token);

    String insertIncrementls(RequestUserIncrement param,String token) ;

    List<UserIncrement> findExpireData();

    List<UserIncrement> findReadyExpire(Integer date, Integer isExpired);
}
